Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 12-03-11, 04:18 PM   #1
Ibn al-Hazardou
Registered User
 
Join Date: Dec 2011
Posts: 1
Question TwinView corruption on 9400M and driver versions >275

Hi!
I'm running Gentoo on a 2yo MacBook, it has a GF 9400M GPU. I've been trying all versions of the Linux driver since the 275 series, but I always have to downgrade again due to a corruption issue in TwinView with an LCD panel connected through the DVI connector.

When I turn TwinView on with nvidia-settings everything looks nice for a minute or two, then my external panel starts to flicker in a greenish color, except for the uppermost pixel line - which remains uncorrupted. If I pull a window over to the corrupted monitor and pull it around near the edge for a while, I can uncorrupt it again for a minute or two (usually I can make the green flickering turn blue too). Playing around with nvidia-settings has the same effect.

The problem appears on xorg-server 1.10 and 1.11 series, and kernels 2.38, 3.0 and 3.1. Doesn't leave a trace in the logs as far as I can tell. It does look like a memory corruption bug though, doesn't it?

Any ideas?
Ibn al-Hazardou is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 05:54 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.